# hyperreal's Fedora kickstart

This is the kickstart file I use when (re)installing Fedora. I have two USB sticks plugged into the machine.

- USB 0: ext4 filesystem with the label "KS"; contains only the kickstart file located at /hyperreal.ks
- USB 1: [Fedora netinstall image](https://alt.fedoraproject.org)

I boot into the Fedora netinstall image, edit the GRUB menu by pressing `e`, and append the following to the kernel line after `quiet`:

``` bash
inst.ks=hd:LABEL=KS:/hyperreal.ks
```

If everything is correct, the installation proceeds. The Anaconda menu shows up and prompts me to enter the encryption passphrase. I also have to connect to the Internet from the Anaconda menu.

The kickstart file in this repository is not in any way part of or endorsed by the Fedora Project. It sets up repositories containing non-free software packages and proprietary firmware. It's not intended to be used as-is by anyone besides me.

For more information on Fedora kickstarts, see the links below:

- [Automating the Installation with Kickstart](https://docs.fedoraproject.org/en-US/fedora/f36/install-guide/advanced/Kickstart_Installations/)
- [https://pagure.io/fedora-kickstarts](https://pagure.io/fedora-kickstarts)
- [Kickstart Syntax Reference](https://docs.fedoraproject.org/en-US/fedora/f36/install-guide/appendixes/Kickstart_Syntax_Reference/#appe-kickstart-syntax-reference)
